package com.ynet.life.sujrb.action;

import cn.hutool.core.util.CharsetUtil;
import cn.hutool.core.util.IdUtil;
import cn.hutool.core.util.StrUtil;
import cn.hutool.crypto.asymmetric.KeyType;
import cn.hutool.crypto.asymmetric.RSA;
import com.alibaba.fastjson.JSONObject;
import com.ynet.life.action.AESEncryptUtils;
import com.ynet.life.util.PropertiesFile;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Properties;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/GQServletUtil.class */
public class GQServletUtil {
    public String encryptData(String data) throws Exception {
        JSONObject jo = new JSONObject();
        Properties sourceProperties = PropertiesFile.getProperties("/properties/GQInfo.properties");
        String mode = sourceProperties.getProperty("mode");
        String srpPublicKey = sourceProperties.getProperty(String.valueOf(mode) + ".srpPublicKey");
        String ifsPrivateKey = sourceProperties.getProperty(String.valueOf(mode) + ".ifsPrivateKey");
        String appKey = sourceProperties.getProperty(String.valueOf(mode) + ".appKey");
        String aesKey = IdUtil.simpleUUID();
        System.out.println("aesKey明文：".concat(String.valueOf(aesKey)));
        byte[] encrypt = new RSA((String) null, srpPublicKey).encrypt(aesKey, KeyType.PublicKey);
        System.out.println("使用股权平台公钥加密后：".concat(String.valueOf(encrypt)));
        String encryptAesKey = new RSA(ifsPrivateKey, (String) null).encryptBase64(encrypt, KeyType.PrivateKey);
        System.out.println("园易融的私钥加密后 aesKey：".concat(String.valueOf(encryptAesKey)));
        String encryptedData = AESEncryptUtils.aesEncrypt(data, aesKey);
        jo.put("appKey", appKey);
        jo.put("aesKey", encryptAesKey);
        jo.put("data", encryptedData);
        jo.put("ec", "1");
        jo.put("em", "调用成功");
        return jo.toJSONString();
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v26, types: [boolean] */
    /* JADX WARN: Type inference failed for: r0v27, types: [java.lang.Exception] */
    /* JADX WARN: Type inference failed for: r0v34, types: [java.lang.Object, java.lang.String] */
    public String decryptData(String data) throws Exception {
        Properties sourceProperties = PropertiesFile.getProperties("/properties/GQInfo.properties");
        String mode = sourceProperties.getProperty("mode");
        String srpPublicKey = sourceProperties.getProperty(String.valueOf(mode) + ".srpPublicKey");
        String ifsPrivateKey = sourceProperties.getProperty(String.valueOf(mode) + ".ifsPrivateKey");
        String appKey = sourceProperties.getProperty(String.valueOf(mode) + ".srpAppKey");
        String paramData = "";
        JSONObject paramJo = JSONObject.parseObject(data);
        if (paramJo.containsKey("appKey")) {
            String paramAppKey = paramJo.getString("appKey");
            if (paramJo.containsKey("aesKey")) {
                String paramAesKey = paramJo.getString("aesKey");
                if (paramJo.containsKey("data")) {
                    paramData = paramJo.getString("data");
                }
                if (!appKey.equals(paramAppKey)) {
                    throw new Exception("ERROR_APPKEY");
                }
                ?? equals = paramData.equals("");
                if (equals != 0) {
                    return "";
                }
                try {
                    System.out.println("公钥======".concat(String.valueOf(srpPublicKey)));
                    byte[] decrypt = new RSA((String) null, srpPublicKey).decrypt(paramAesKey, KeyType.PublicKey);
                    equals = StrUtil.str(new RSA(ifsPrivateKey, (String) null).decrypt(decrypt, KeyType.PrivateKey), CharsetUtil.CHARSET_UTF_8);
                    System.out.println("使用股权平台公钥和园易融私钥解密后 的AesKey：".concat(String.valueOf((Object) equals)));
                    String decryptedData = AESEncryptUtils.aesDecrypt(paramData, (String) equals);
                    JSONObject dataJo = JSONObject.parseObject(decryptedData);
                    new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
                    if (dataJo.containsKey("timeStamp")) {
                        long timeStamp = Long.parseLong(dataJo.getString("timeStamp"));
                        if (new Date().getTime() - timeStamp > 300000) {
                            throw new Exception("TIME_OVER");
                        }
                        return decryptedData;
                    }
                    throw new Exception("ERROR_TIME");
                } catch (Exception e) {
                    equals.printStackTrace();
                    throw new Exception("ERROR_KEY");
                }
            }
            throw new Exception("ERROR_AESKEY");
        }
        throw new Exception("ERROR_APPKEY");
    }

    public String returnJsonString(Object data) {
        JSONObject jo = new JSONObject();
        Date date = new Date();
        Properties sourceProperties = PropertiesFile.getProperties("/properties/GQInfo.properties");
        String appKey = sourceProperties.getProperty(String.valueOf(sourceProperties.getProperty("mode")) + ".appKey");
        jo.put("timeStamp", String.valueOf(date.getTime()));
        jo.put("appKey", appKey);
        jo.put("data", data);
        return jo.toJSONString();
    }
}
